# Scanbot Image Picker for Flutter
A simple plugin that implements a very straightforward Image Picker for iOS and Android. It uses the Flutter ImagePicker library for both iOS and Android. Also uses a custom native code for iOS versions below 14 for picking multiple images:

# Installation

```
dependencies
  scanbot_image_picker: ^1.0.0
```

# Usage
```dart
  // Single Image
  Future<ImagePickerResponse> response = await ScanbotImagePickerFlutter.pickImageAsync();

  // Multiple Images
  Future<ImagePickerResponse> response = await ScanbotImagePickerFlutter.pickImagesAsync();
```

## Import Module

```dart
import 'package:scanbot_image_picker/scanbot_image_picker_flutter.dart';
```

## Picking images
Opens the native image picker, and returns the selected image file URIs.

**Example**

```dart
  // Single Image
  Future<ImagePickerResponse> response = await ScanbotImagePickerFlutter.pickImageAsync();
  print(response.uri.path);
    
  // Multiple Images
  Future<ImagePickerResponse> response = await ScanbotImagePickerFlutter.pickImagesAsync();
  
    for (var uri in response.uris) {
      print(uri.path);
    }
```

### Contributing
Contributions in the form of **issues**, **pull requests** and **suggestions** are very welcome.

### Disclaimer
This package is still in beta and should be used with that in mind.

### License

[MIT](LICENSE)